From: Shengjing Zhu <zhsj@debian.org>
Date: Fri, 10 Feb 2023 21:42:37 +0800
Subject: Fix tests with azure-sdk-for-go v68

---
 builder/azure/chroot/step_create_new_diskset_test.go          | 5 ++---
 builder/azure/chroot/step_create_shared_image_version_test.go | 5 ++---
 2 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/builder/azure/chroot/step_create_new_diskset_test.go b/builder/azure/chroot/step_create_new_diskset_test.go
index a76685e..ff4ccc0 100644
--- a/builder/azure/chroot/step_create_new_diskset_test.go
+++ b/builder/azure/chroot/step_create_new_diskset_test.go
@@ -12,6 +12,7 @@ import (
 	"github.com/hashicorp/packer/builder/azure/common/client"
 	"github.com/hashicorp/packer/packer-plugin-sdk/multistep"
 	packersdk "github.com/hashicorp/packer/packer-plugin-sdk/packer"
+	"github.com/stretchr/testify/assert"
 
 	"github.com/Azure/azure-sdk-for-go/services/compute/mgmt/2019-12-01/compute"
 	"github.com/Azure/go-autorest/autorest"
@@ -184,9 +185,7 @@ func TestStepCreateNewDisk_Run(t *testing.T) {
 				b, _ := ioutil.ReadAll(r.Body)
 				expectedPutDiskBody := regexp.MustCompile(`[\s\n]`).ReplaceAllString(tt.expectedPutDiskBodies[bodyCount], "")
 				bodyCount++
-				if string(b) != expectedPutDiskBody {
-					t.Fatalf("expected body #%d to be %q, but got %q", bodyCount, expectedPutDiskBody, string(b))
-				}
+				assert.JSONEq(t, expectedPutDiskBody, string(b))
 				return &http.Response{
 					Request:    r,
 					StatusCode: 200,
diff --git a/builder/azure/chroot/step_create_shared_image_version_test.go b/builder/azure/chroot/step_create_shared_image_version_test.go
index 5983ca4..9a4dac4 100644
--- a/builder/azure/chroot/step_create_shared_image_version_test.go
+++ b/builder/azure/chroot/step_create_shared_image_version_test.go
@@ -11,6 +11,7 @@ import (
 	"github.com/hashicorp/packer/builder/azure/common/client"
 	"github.com/hashicorp/packer/packer-plugin-sdk/multistep"
 	packersdk "github.com/hashicorp/packer/packer-plugin-sdk/packer"
+	"github.com/stretchr/testify/assert"
 
 	"github.com/Azure/azure-sdk-for-go/services/compute/mgmt/2019-12-01/compute"
 	"github.com/Azure/go-autorest/autorest"
@@ -113,9 +114,7 @@ func TestStepCreateSharedImageVersion_Run(t *testing.T) {
 				t.Fatal("Expected only a PUT call")
 			}
 			b, _ := ioutil.ReadAll(r.Body)
-			if string(b) != expectedPutBody {
-				t.Errorf("expected body to be %v, but got %v", expectedPutBody, string(b))
-			}
+			assert.JSONEq(t, expectedPutBody, string(b))
 			return &http.Response{
 				Request:    r,
 				StatusCode: 200,
